Package voltage.core

# Class VoltageRemoteControl

java.lang.Object
voltage.core.VoltageComponent
voltage.core.VoltageRemoteControl

public class VoltageRemoteControl extends VoltageComponent
Remote controller object. Used in Cherry Audio's Remote Control module to automate controls without CVs.

- ## Field Summary

  ### Fields inherited from class voltage.core.VoltageComponent

  `componentName, displayName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoltageRemoteControl(String name, VoltageModule module)`
  Constructor for a VoltageRemoteControl

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `Clear()`
  Clears the learned control.
  `String`
  `GetControlName()`
  If learned, this is the name of the learned control.
  `String`
  `GetModuleName()`
  If learned, this is the name of the learned control's module..
  `Object`
  `GetRemoteControlledControl()`
  Get's the VoltageComponent this is controlling.
  `boolean`
  `IsLearned()`
  Is this remote control learned?
  `void`
  `Learn()`
  Initiates the control to be learned.
  `void`
  `SetRemoteControlDisplayName(String displayText)`
  Sets the remote control's display name.

  ### Methods inherited from class voltage.core.VoltageComponent

  `AddChildComponent, GetComponentID, GetDisplayName, GetHeight, GetMaxValue, GetMinValue, GetRect, GetSkin, GetTooltipText, GetTransparency, GetUserProperty, GetValue, GetWidth, GetX, GetY, IsEnabled, IsVisible, RemoveChildComponent, SetCanBeAutomated, SetEnabled, SetPosition, SetRect, SetRect, SetSize, SetSkin, SetTransparency, SetUnits, SetUserProperty, SetValue, SetValue, SetValueNoNotification, SetVisible, SetWantsMouseNotifications, SetZOrder, SkewNormalizedValue, UpdateGUIValue, WantsMouseNotifications`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoltageRemoteControl

    public VoltageRemoteControl(String name, VoltageModule module)
    Constructor for a VoltageRemoteControl
    Parameters:
      `name` - the control's name
      `module` - the owner of this control

- ## Method Details

  - ### GetRemoteControlledControl

    public Object GetRemoteControlledControl()
    Get's the VoltageComponent this is controlling.
    Returns:
      the VoltageComponent if learned.

  - ### SetRemoteControlDisplayName

    public void SetRemoteControlDisplayName(String displayText)
    Sets the remote control's display name.
    Parameters:
      `displayText` - the name to display.

  - ### GetControlName

    public String GetControlName()
    If learned, this is the name of the learned control.
    Returns:
      the learned control's name.

  - ### GetModuleName

    public String GetModuleName()
    If learned, this is the name of the learned control's module..
    Returns:
      the learned control's module name.

  - ### Learn

    public void Learn()
    Initiates the control to be learned. The next learnable control moved will be assigned to this remote control object.

  - ### IsLearned

    public boolean IsLearned()
    Is this remote control learned?
    Returns:
      true if learned.

  - ### Clear

    public void Clear()
    Clears the learned control.